Bug 1576577 - Attempting to Deploy RHOSP-10 with NetApp Driver Causes Failure in Overcloud Deploy
Summary: Attempting to Deploy RHOSP-10 with NetApp Driver Causes Failure in Overcloud ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-tripleo
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z8
: 10.0 (Newton)
Assignee: Giulio Fidente
QA Contact: Yogev Rabl
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-09 20:02 UTC by Dustin Schoenbrun
Modified: 2018-05-17 15:42 UTC (History)
12 users (show)

Fixed In Version: puppet-tripleo-5.6.8-6.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1577957 (view as bug list)
Environment:
Last Closed: 2018-05-17 15:42:06 UTC


Attachments (Terms of Use)
Output of "openstack stack failures list" (6.44 KB, text/plain)
2018-05-09 20:02 UTC, Dustin Schoenbrun
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1593 None None None 2018-05-17 15:42:19 UTC
OpenStack gerrit 567854 None None None 2018-05-11 13:32:38 UTC
Launchpad 1770444 None None None 2018-05-10 16:30:26 UTC

Description Dustin Schoenbrun 2018-05-09 20:02:12 UTC
Created attachment 1434003 [details]
Output of "openstack stack failures list"

Description of problem:
When attempting to deploy OSP-10z8 with with the NetApp cDOT Manila Driver, the overcloud deployment will fail with an error specifying that there is no value for the data item manila::backend::cephfsnative::cephfs_auth_id. It says that there is no value for it in any Heira data file and that no default is specified. This causes the deployment of the controller nodes to fail. See the attached output of "openstack stack failures list overcloud" for more details.

Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates-5.3.10-1.el7ost.noarch
puppet-manila-9.5.0-3.el7ost.noarch

How reproducible:
100%

Steps to Reproduce:
1. Using Infrared, deploy the candidate for OSP-10z8 specifying to setup and configure Manila with the Netapp cDOT Manila Driver
2. Observe that the overcloud deployment fails with the errors specified above when setting up the controller nodes.

Actual results:
Overcloud deployment fails because the controller node deployment fails due to the manila::backend::cephfsnative::cephfs_auth_id variable not having a value either specified in any Heira file or set by default. 

Expected results:
Overcloud deployment shall be successful and the Manila NetApp cDOT Driver shall be setup and configured correctly.

Comment 1 Tom Barron 2018-05-10 13:07:00 UTC
May be a side effect of the fix for https://bugzilla.redhat.com/show_bug.cgi?id=1462657

Comment 8 Vince Green 2018-05-15 15:26:37 UTC
13:53:49 ok: [undercloud-0] => {}
13:53:49 MSG:
13:53:49 Build mark: core_puddle=2018-05-14.3
15:15:31 PLAY RECAP *********************************************************************
15:15:31 compute-0                  : ok=0    changed=0    unreachable=0    failed=0   
15:15:31 controller-0               : ok=10   changed=6    unreachable=0    failed=0   
15:15:31 controller-1               : ok=10   changed=6    unreachable=0    failed=0   
15:15:31 controller-2               : ok=10   changed=6    unreachable=0    failed=0   
15:15:31 hypervisor                 : ok=2    changed=2    unreachable=0    failed=0   
15:15:31 localhost                  : ok=2    changed=2    unreachable=0    failed=0   
15:15:31 undercloud-0               : ok=26   changed=11   unreachable=0    failed=0   

https://rhos-qe-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/job/OSPD-Customized-Deployment-virt/4230/

Did a deployment on OSP10 with 2018-05-14.3 puddle and it deployed successfully without the original bug issue, marking bug as VERIFIED.

Comment 11 errata-xmlrpc 2018-05-17 15:42:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1593


Note You need to log in before you can comment on or make changes to this bug.